﻿body {
    background-color: #5c87b2;
    font-size: .75em;
    font-family: Verdana, Helvetica, Sans-Serif;
    margin: 0;
    padding: 0;
    color: #696969;
}

table {
    border: 1 solid black;
}

th {
    text-align: left !important;
}

p {
    margin-bottom: 10px;
    line-height: 1.6em;
}

h1, h2, h3, h4, h5, h6 {
    font-size: 1.5em;
    color: #000;
    font-family: Arial, Helvetica, sans-serif;
}

h1 {
    color: White;
    font-size: 2.3em;
    padding-bottom: 0;
    margin-bottom: 0;
    margin-top: 10px;
    margin-bottom: 10px;
}

h2 {
    padding: 0 0 2px 0;
    margin-top: 0;
    margin-bottom: 0;
}

h3 {
    font-size: 1.2em;
    margin-top: 0;
    margin-bottom: 0;
}

h4 {
    font-size: 1.1em;
}

h5, h6 {
    font-size: 1em;
}

#logindisplay {
    font-size: 1.1em;
    display: block;
    margin: 10px;
    color: White;
}

    #logindisplay a:link {
        color: white;
        text-decoration: underline;
    }

    #logindisplay a:visited {
        color: white;
        text-decoration: underline;
    }

    #logindisplay a:hover {
        color: white;
        text-decoration: none;
    }

#menucontainer {
    margin-top: 10px;
    clear: both;
}

/* TAB MENU   
----------------------------------------------------------*/
ul#menu {
    border-bottom: 1px #5C87B2 solid;
    padding: 0 0 0 0;
    position: relative;
    margin: 0;
    text-align: left;
}

    ul#menu li {
        display: inline;
        list-style: none;
    }

        ul#menu li#greeting {
            padding: 10px 10px;
            font-weight: bold;
            text-decoration: none;
            line-height: 2.8em;
            color: #fff;
        }

        ul#menu li a {
            padding: 10px 10px;
            font-weight: bold;
            text-decoration: none;
            line-height: 2.8em;
            background-color: #e8eef4;
            color: #034af3;
        }

            ul#menu li a:hover {
                background-color: #fff;
                text-decoration: none;
            }

            ul#menu li a:active {
                background-color: #a6e2a6;
                text-decoration: none;
            }

        ul#menu li.selected a {
            background-color: #fff;
            color: #000;
        }

#header h1 {
    font-weight: bold;
    padding: 2px 0;
    margin: 0;
    color: #fff;
    border: none;
    line-height: 2em;
    font-family: Arial, Helvetica, sans-serif;
    font-size: 32px;
}

#main-content {
    padding: 20px 20px 15px 20px;
    background-color: #fff;
    width: 920px;
}

.display-label, .editor-label {
    margin: 0.5em 0;
    font-weight: bolder;
}

.display-field, .editor-field {
    margin: 0.5em 0;
}

.spacer {
    width: 20px;
}

.center {
    text-align: center;
}

div.blue-header {
    color: blue;
    font-family: Arial, Sans-Serif;
    font-weight: bold;
    font-size: 1.2em;
}

/* TABLE
----------------------------------------------------------*/
.default-border {
    border: 1 solid black;
}

table.center {
    margin-left: auto;
    margin-right: auto;
    text-align: left !important;
}

/* Styles for validation helpers
-----------------------------------------------------------*/
.field-validation-error {
    color: #ff0000;
}

.field-validation-valid {
    display: none;
}

.input-validation-error {
    border: 1px solid #ff0000;
    background-color: #ffeeee;
}

.validation-summary-errors {
    font-weight: bold;
    color: #ff0000;
}

.validation-summary-valid {
    display: none;
}

/* FORM LAYOUT ELEMENTS   
----------------------------------------------------------*/
fieldset {
    margin: 1em 0;
    /*padding: 1em;*/
    padding-left: 1em;
    padding-right: 1em;
}

    fieldset p {
        margin: 2px 2px 5px 5px;
    }

legend {
    font-size: 1.1em;
    font-weight: 600;
    padding: 2px 15px 2px 15px;
}

input[type="text"] {
    width: 200px;
    border: 1px solid #CCC;
}

input[type="password"] {
    width: 200px;
    border: 1px solid #CCC;
}

/* DEFAULT FOR ANCHOR TAGS
----------------------------------------------------------*/
a:link {
    color: #034af3;
    text-decoration: underline;
}

a:visited {
    color: #505abc;
}

a:hover {
    color: #1d60ff;
    text-decoration: none;
}

a:active {
    color: #12eb87;
}

/* PAGING
----------------------------------------------------------*/
.pagination {
    padding-top: 10px;
    font-weight: bold;
}

    .pagination a {
        text-decoration: none;
    }
/* CUSTOM
---------------------------------------------------------*/
/* Custom Classes
-----------------------------------------------------------*/

.river-section {
    width: 300px !important;
}

.no-border {
    border: none;
}

.spacer {
    width: 10px;
}

.center {
    text-align: center !important;
}

.valign-top {
    vertical-align: top;
}

.bold {
    font-weight: bold;
}

.indent {
    text-indent: 50px;
}

.default-border {
    border: solid 1px black;
}

.small-font {
    font-size: smaller;
}

.date-picker {
    margin-right: 5px;
    width: 90px !important;
    text-align: center;
}

.textbox-whole-number {
    width: 25px !important;
    text-align: center;
}

.textbox-year {
    width: 50px !important;
    text-align: center;
}

.textbox-decimal-number {
    width: 50px !important;
    text-align: center;
}

.textbox-for-email {
    width: 200px;
}

.textbox-for-date {
    width: 75px !important;
    margin-right: 5px;
}

.right-justified {
    text-align: right;
}

.left-justified {
    text-align: left;
}

.pagination {
    padding-top: 10px;
    font-weight: bold;
}

    .pagination a {
        text-decoration: none;
    }

.no-link a {
    text-decoration: none;
}

.error-message {
    color: Red;
}

.success-message {
    color: Green;
}

.nowrap {
    white-space: nowrap;
}

.hidden {
    visibility: hidden;
}

.red {
    color: Red;
}

    .red a {
        color: Red;
    }

.green {
    color: Green;
}

.blue {
    color: Blue;
}

.green a {
    color: Green;
}

.black {
    color: Black;
}

.highlight {
    background-color: lime;
}

.disabled {
    background-color: #E6E6E6;
}

.enabled {
    background-color: White;
}

.confirm-message {
    font-family: Arial, Helvetica, sans-serif;
    color: black;
    font-size: 1.2em;
    font-weight: bold;
}

.time {
    text-align: center;
    width: 75px !important;
}

div.blue-header {
    color: blue;
    font-family: Arial, Sans-Serif;
    font-weight: bold;
    font-size: 1.2em;
}

.no-link-and-green a {
    text-decoration: none;
    color: Green;
}

.hide {
    display: none;
}

.add-bottom-margin {
    margin-bottom: 20px !important;
}

.push-right-50 {
    margin-left: 50px;
}

.float-right {
    float: right;
}

.float-left {
    float: left;
}

.float-clear {
    float: none;
}

.rounded {
    padding: 10px;
    border: 2px solid;
    border-radius: 25px;
    -moz-border-radius: 25px; /* Old Firefox */
}

#two-columns {
    overflow: hidden;
    margin: 0px auto;
    padding: 5px 0px;
}

    #two-columns #col1 {
        float: left;
        width: 355px;
        margin: 4px 7px 2px 4px;
        padding: 4px 7px 2px 4px;
    }

    #two-columns #col2 {
        float: right;
        width: 350px;
        color: #000000;
    }

#col1 div {
    margin-bottom: 10px;
}

#col2 div {
    margin-bottom: 10px;
}

#note-quick-add {
    margin-top: 0;
}

/* File Upload Progress Bar */
DIV.ProgressBar {
    width: 100px;
    padding: 0;
    border: 1px solid black;
    margin-right: 1em;
    height: .75em;
    margin-left: 1em;
    display: inline-block;
}

    DIV.ProgressBar DIV {
        background-color: Green;
        font-size: 1pt;
        height: 100%;
        float: left;
    }

SPAN.asyncUploader OBJECT {
    position: relative;
    top: 5px;
    left: 20px;
}

/* Styles for specific IDs
-----------------------------------------------------------*/
input.trip-log-import-button {
    font-size: 16px;
    font-family: Times New Roman,serif;
    font-weight: bold;
    width: 200px;
    height: 25px;
    border-style: solid;
}

#ExplanationRequiredFor {
    width: 400px;
    height: 100px;
}

#Explanation {
    width: 400px;
    height: 100px;
}

#Source {
    width: 500px;
}

#TripTime {
    text-align: center;
    width: 75px;
}

#trip-time-clock-image {
    vertical-align: middle;
}

#activity-type-table td {
    padding: 25px;
}

.standard-table-spacing {
    border-spacing: 10px;
}

ul, li {
        margin: 0;
        padding: 0;
        border: 0;
        list-style: none;
        margin-bottom: 10px;
    }

        li div {
            display: block;
            float: left;
            margin: 0;
            border: 0;
            margin-right: 10px;
        }

            li div label {
                font-weight: bold;
            }

    .clearfix:after {
        content: ".";
        display: block;
        height: 0;
        clear: both;
        visibility: hidden;
    }

/*Home Page videos*/
.video-container{
    width: 890px;
    display: inline-flex;
    text-align: center;
}

.video-div{
    width: 290px;
    /*display: inline-flex;*/
    padding: 10px 10px 15px 10px; 
    text-align: center;  
}

.video-title{
    height: 30px !important;
}

.video-tag{
    width: 250px; 
    height: 240px;
    padding: 5px;
}

.video-options-label{
    border-bottom: 3px solid grey; 
    width: 885px;   
    text-align: center;
}